import { Message } from "./Messages/Message";
export declare class SocketMessage {
    id: string;
    replyto: string;
    command: string;
    data: string;
    count: number;
    index: number;
    priority: number;
    clientagent: string;
    clientversion: string;
    static fromjson(json: string): SocketMessage;
    static fromcommand(command: string): SocketMessage;
    static frommessage(msg: Message, data: string, count: number, index: number): SocketMessage;
    tojson(): string;
}
